package route

import (
	v1 "designs/controller/v1"
	"designs/middleware"
	"github.com/gin-gonic/gin"
)

/* 跨域 */

func SetApiGroupRoutes(router *gin.RouterGroup) {

	router.POST("/admin/ss/initUser", v1.InitUser)

	router.POST("/user/updateUserBehavior", v1.UpdateUserBehavior)

	GroupV1 := router.Group("")
	GroupV1.Use(middleware.TokenAuthMiddleware()).Use()
	{
		GroupV1.POST("/user/receiveGameMsg", v1.ReceiveGameMsg)

		GroupV1.POST("/user/receiveAdsInfo", v1.ReceiveAdsInfo)

		//GroupV1.POST("/user/receiveUserBehavior", v1.ReceiveUserBehavior)
		GroupV1.POST("/user/checkUserBehavior", v1.CheckUserBehavior)
	}

}
